#!/bin/sh
NV=`cat fmon.ver`

echo "Current version $1 new $NV"

if [ "$1" == "$NV" ] ; then 
	echo "F-Mon is up to date - not upgrading"
	exit
fi

if ! md5sum -c fmon.bin.md5 ; then 
	echo "fmon.bin.md5 sum ERROR"
	exit
fi

echo "Patching f-mon"
dd if=/dev/mtdblock/0 of=fmon.bin skip=5 seek=5 conv=notrunc bs=4 count=5
sync
echo "copyback f-mon"
dd if=fmon.bin of=/dev/mtdblock/0 
sync
sync
sync
echo "F-mon upgrade done" 
sync
exit

